# Uses of Interface
java.nio.file.SecureDirectoryStream

Packages that use SecureDirectoryStream
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of SecureDirectoryStream in java.nio.file

Methods in java.nio.file that return SecureDirectoryStream
Modifier and Type
Method
Description
`SecureDirectoryStream<T>`
SecureDirectoryStream.`newDirectoryStream(T path, LinkOption... options)`
Opens the directory identified by the given path, returning a `SecureDirectoryStream` to iterate over the entries in the directory.
Methods in java.nio.file with parameters of type SecureDirectoryStream
Modifier and Type
Method
Description
`void`
SecureDirectoryStream.`move(T srcpath, SecureDirectoryStream<T> targetdir, T targetpath)`
Move a file from this directory to another directory.